# Manual de uso de Pa'SOS

## Descripción general

Aplicación móvil iniciativa por Kilómetro0. La aplicación le permite al usuario configurar unos contactos de confianza a los cuales notificar en situaciones que el usuario considere que corre algún tipo de riesgo. Además se ofrece información de números para llamar en caso de ayuda.

## Propósito

Esta aplicación tiene como propósito facilitar el envío de mensajes automatizados para notificar a personas cercanas sobre una situación de peligro en la que se pudiera encontrar el usuario, así como su localización al momento del envío de estos mensajes.

## Alcance 
* Personas en eventos multitudinarios
* Personas que caminan solas por la calle
* Alguien que se le quedó el carro
* Alguien que quiere notificar que salió de algún lugar y se dirige a otro

## Desarrollo

* iOS
* Android

## Uso

### Primer uso

La primera vez que se abre la aplicación, se solicita el nombre del usuario como desea que aparezca en los mensajes que se envían a los contactos que selecciona.

### Inicio

* Botón de alerta inmediata: Envía un mensaje notificando una situación de peligro a la lista de contactos.

* Botones de los eventos: Los eventos provistos por la aplicación son: 'De camino', 'Me quedé a pie', 'Ando soleá/o', 'Personalizado'. Cada evento tiene su propia mensaje predeterminado que puede ser cambiado en la sección de mensajes.

### Contactos

* Botón de importar contactos: Permite al usuario seleccionar un máximo de 10 contactos de su lista de contactos para importarlos a la aplicación.

* Lista de contactos: Despliega la lista de contactos importados y permite removerlos con un gesto de deslización.

### Mensajes

* Botones de los eventos: Al seleccionar un evento, se muestra una forma en la que el usuario establece el mensaje que desea enviar, junto con el nivel de riesgo que desea notificar, la frecuencia del envío y la duración del evento. El usuario puede almacenar tanto la forma predeterminada como una personalizada, siendo esta última la que se usa al momento de enviar mensajes.


### Números de emergencia adicionales

* Lista de teléfonos de emergencias: Incluye 911, Cuartel General de la Policía, Cuerpo de Bomberos, Emergencias Médicas y Poison Center. Los teléfonos son presionables para hacer una llamada.

